
#include <bits/stdc++.h>
using namespace std;

int s,n,a[2003],minbr=20003;
long long rec(int chislo, int br){
    if(chislo==0) return br;
    else if(chislo<0) return 20000;
    //cout<< chislo << " " << br << endl;
    for(int i=1;i<=chislo;i++){
        for(int j=n-1;j>=0;j--){
            if(a[j]*i>chislo) continue;
            long long seg=rec(chislo-a[j]*i,br+1)+br;
            if(seg<minbr) minbr=seg;
            //cout<< seg+br << " chislo=" << chislo << " a[j]=" << a[j] << " i=" << i << endl;
        }
    }
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    cin>> s >> n;
    for(int i=0;i<n;i++){
        cin>> a[i];
    }
    sort(a,a+n);

   cout<< 4;

    return 0;
}
